Disable (/extra-warranty/disable)
curl --request POST \
--url https://api.vellaro.io/api/v1/admin/extra-warranty/disable \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vellaro.io/api/v1/admin/extra-warranty/disable"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vellaro.io/api/v1/admin/extra-warranty/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vellaro.io/api/v1/admin/extra-warranty/disable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vellaro.io/api/v1/admin/extra-warranty/disable"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vellaro.io/api/v1/admin/extra-warranty/disable")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vellaro.io/api/v1/admin/extra-warranty/disable")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"installed": true,
"enabled": true,
"plugin_status": "<string>",
"enabled_at": "2023-11-07T05:31:56Z",
"state": "off",
"allowed": true,
"config": {
"pilot_only": true,
"percent": "<string>",
"min_price": "<string>",
"years": 123,
"rounding": 123,
"names": {},
"descriptions": {},
"terms_path": "<string>",
"excluded_category_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"pilot_emails": [
"<string>"
],
"version": 123
},
"languages": [
"<string>"
],
"base_locale": "<string>",
"warnings": [
"<string>"
]
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}Integrations & modules
Disable (/extra-warranty/disable)
Spegne, anche senza il permesso dell’hub. Già spenta o mai configurata: 200 senza audit. Le scelte nei
carrelli restano e non si addebitano; gli ordini già fatti tengono la loro garanzia. Audit
extra_warranty.disable.
POST
/
api
/
v1
/
admin
/
extra-warranty
/
disable
Disable (/extra-warranty/disable)
curl --request POST \
--url https://api.vellaro.io/api/v1/admin/extra-warranty/disable \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vellaro.io/api/v1/admin/extra-warranty/disable"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vellaro.io/api/v1/admin/extra-warranty/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vellaro.io/api/v1/admin/extra-warranty/disable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vellaro.io/api/v1/admin/extra-warranty/disable"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vellaro.io/api/v1/admin/extra-warranty/disable")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vellaro.io/api/v1/admin/extra-warranty/disable")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"installed": true,
"enabled": true,
"plugin_status": "<string>",
"enabled_at": "2023-11-07T05:31:56Z",
"state": "off",
"allowed": true,
"config": {
"pilot_only": true,
"percent": "<string>",
"min_price": "<string>",
"years": 123,
"rounding": 123,
"names": {},
"descriptions": {},
"terms_path": "<string>",
"excluded_category_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"pilot_emails": [
"<string>"
],
"version": 123
},
"languages": [
"<string>"
],
"base_locale": "<string>",
"warnings": [
"<string>"
]
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}